<?php

namespace CreoCode\ContaoFormSubmissions;
use Contao\DataContainer;
use Contao\Database;

/**
 * Class FormSubmissionsDataPopup
 */
class FormSubmissionsDataPopup extends \BackendModule
{
	/**
	 * Template
	 * @var string
	 */
	protected $strTemplate = 'form_submissions_data_popup';


	/**
	 * Generate the module
	 */
	protected function compile() {		
		// Find missing labels
		if (htmlspecialchars(\Input::get('showForm'))) {

			$this->Template->objFormData = $this->Database->prepare("SELECT * FROM tl_form_submissions WHERE id=? limit 1")
                    ->execute(htmlspecialchars(\Input::get('showForm')))->fetchAllAssoc();

			$this->Template->objFormSet = $this->Database->prepare("SELECT * FROM tl_form_submissions_set WHERE id=? limit 1")
                    ->execute($this->Template->objFormData[0]['pid'])->fetchAllAssoc();

            $this->Template->objFormDataMessage = $this->Database->prepare("SELECT * FROM tl_form_submissions_data WHERE pid=? limit 1")
                    ->execute($this->Template->objFormData[0]['id'])->fetchAllAssoc();
		}
	}
}
